Install/reinstall wipes out all/other partitions

Bug #1265192 reported by Steve Devine on 2013-12-31
564
This bug affects 122 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Critical
Colin Watson
Trusty
Critical
Colin Watson

Bug Description

[Impact]

Serious data loss due to misleading UI in a variety of cases where the installer fails to accurately assess or describe the current partitioning layout. This set of proposed changes fix the problem both narrowly (by fixing a specific detection failure) and broadly (by being more consistent and conservative about how automatic partitioning methods are described, and by always displaying a confirmation dialog; "are you sure?" dialogs are generally dubious, but in this case it supplies more specific information which is a justifiable last resort for an operation as potentially destructive as partitioning). I have taken care to ensure that it has no impact on translations.

[Test Case]

Validating this ideally requires exploratory testing, but simple tests include setting up partitioning layouts that include deliberately-unrecognisable partitions and making sure that the installation process only removes those in response to options that explicitly state that they will erase the disk rather than merely erasing a single OS, and that a confirmation dialog is always displayed.

[Regression Potential]

This involves partitioning logic, so be careful. I've tried to keep the changes as isolated as possible to the automatic partitioning page, although the confirmation dialog change also affects the manual partitioner. It's worth checking that back/forward paths still work correctly, as this took me several goes to get right.

Original report follows:

Brand new Samsung laptop with UEFI. I had installed 13.04 Ubuntu but on reboot I never saw the 'grub' style menu. It just kept going into Windows 8.1. So I got the 13.10 version (64 bit) and choose "Reinstall Ubuntu" (That may not be the exact text)
It removed all the partiions including the recovery partitions. I do have a backup for the windows install, but I was very surprised that this happened.
On a positive note I now have Ububtu up and running on my machine.
This is not my first time with Ubuntu. I have installed Ubuntu alongside WinXp, Vista and Windows 7. I've used Ubuntu desktop for over 6 years.
If you would like me to try something to replicate this. .. I could shrink my existing partion make another one - reinstall and see if it whacks that one. I can do this now .. I'm still moving into this laptop so starting over is not so bad.

Steve Devine

oldfred (oldfred) wrote :

In Ubuntu Forums we have seen at least 4 or 5 users with exactly the same issue.

Installer only offers to reinstall Ubuntu but then overwrites entire hard drive. First thought it was user issue, but many have reported it and described consisently what they have done.
On re-install it only sees Ubuntu not Windows, but does not reinstall to an existing Linux partition, but does the install to entire drive.
Best to only use Something Else on re-install. But auto install should not offer incorrect choice.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Tomasz Kuczak (tomasz-ks9) wrote :

I was reinstalling Ubuntu 13.10 due to driver installation problem and I have chosen this option "Erase Ubuntu 13.10 and reinstall" (with text "Warning: This will delete all your Ubuntu 13.10 programs, documents, photos, music, and any other files" under it). It wiped everything including EFI, recovery and windows8 and created its own EFI (it was bigger than the previous), ubuntu ext4 and a swap at the end (I'm not sure if it deleted the EFI or just resized it). Unortunately, I don't have any backup of my windows installation. If it hadn't been for the swap I would have restored my recovery partition untouched. Now i will probably have to give my laptop to a service.

Phillip Susi (psusi) on 2014-01-09
Changed in ubiquity (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
sudodus (nio-wiklund) wrote :

And it happened again ... this time the poor newbie asks:

'p.s. please have less ambiguous instructions during the installation. I seriously had no idea that option I chose was going to remove Windows.. '

http://ubuntuforums.org/showthread.php?t=2203184

and there is also

https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1256874

*We need to do something*

Best regards
Nio

Phillip Susi (psusi) on 2014-02-03
summary: - Reinstallation wipes out all partitions
+ Reinstallation wipes out all/other partitions

I believe that it is a critical fault to write to the disk without detailing to to user what you are about to do, and wait for confirmation.
I could have saved my disk if I had been asked about the partitions to remove.
It did not mention that it waws deleting my Win 8.1 , but wiped everything.
It did identify Fedora 20 and I selected to replace F20
It Failed (seems to always fail if LVM selected.)

Recovery is tomorrows task

Tomasz Kuczak (tomasz-ks9) wrote :

@ James Eniti (jpeniti)
Please save /var/log/installer if you still can, it may be needed because it was needed in the bug report I've written which is marked as a duplicate of this bug now.

Brian Murray (brian-murray) wrote :

It took some mucking about (modifying ubi-partman so that calculate_reuse_option was called when there are 3 operating systems and in that function setting final to True (since Trusty is not final)) but I was able to test this situation. I choose to reinstall Ubuntu 14.04 and lose all my 14.04 settings and documents. This worked exactly as expected and my 14.04 installation was blown away but I was still able to boot into Windows 7 or whatever it is and my grub menu was unchanged.

Changed in ubiquity (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
no longer affects: ubiquity
sachit (staticd-growthecommons) wrote :

Is there any hope of making this truly "replace OS" with distro before 14.04 rolls out for good? (@brian-murray)

Failing that We need to remove the "replace OS" option with the "Erase disk option" as this is unambiguous about what it does.

One way or another this bug HAS to be closed by then. Friendly GUI to sneakily wipe hard-disk is utterly unacceptable.

Phillip Susi (psusi) wrote :

Since we can't reproduce it, we will need a copy of the installer logs from someone who had this happen in order to proceed.

Changed in ubiquity (Ubuntu):
status: Triaged → Incomplete
Tomasz Kuczak (tomasz-ks9) wrote :

@ Phillip Susi (psusi)
In 1-2 weeks I'm going to give my laptop for repair and before this I will want to wipe all my data so I can then reproduce the bug and give the logs if there is no other person that can do it.

@psusi I managed to reproduce it 2 out of 2 times I tried on a virtual box set up with a seperate home and / partition on the pre-existing ubuntu install. It deleted the home partition.

Will put up the install logs shortly (as an aside can someone help speedup this bug https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1288096 Debugging will be soooo much easier)

Can some one please look over and clean up this page:
https://wiki.ubuntu.com/DebuggingUbiquity

I cant understand the deeper debugging section, and how is it different from the "What next section" where it is suggested to launch ubiquity with the -d flag.

How many of these need to be done / which are redundant:
1) the debug-ubiquity command line option
2) the editing of the partman file
3) starting ubiquity with the -d flag

command line option at boot: debug-ubiquity
edited /bin/partman to contain set -x
started ubiquity with ubiquity -d
chose erase existing lubuntu and reinstall

previous partition layout: sda1: 4G / ; sda2 2G /home
new layout : sda1 4G / ; sda5 2G swap

logs:

/var/log/installer
/var/log/partman
/var/log/syslog

Phillip Susi (psusi) wrote :

I was able to reproduce this using those steps: install 13.10 with a separate /home, then install 14.04 and pick the install along side option. It discards /home and gives you the choice to balance the size of the old and new root partitions.

Changed in ubiquity (Ubuntu):
status: Incomplete → Triaged
milestone: none → ubuntu-14.04
Phillip Susi (psusi) wrote :

Sorry, I jumped the gun. It was only the display that did not show the /home partition; it was in fact, preserved.

Changed in ubiquity (Ubuntu Trusty):
status: Triaged → Incomplete
Phillip Susi (psusi) wrote :

After looking at those logs I thought the problem was too small of a disk. It looked like partman realized it could not resize the existing volumes to make enough room for a new install, then fell back to erasing the whole disk. Unfortunately, I am not able to reproduce it, even using a disk and starting partitions exactly the same size as in the logs. It simply does not give the option to do a side by side install. Are you sure you chose that option?

Tomasz Kuczak (tomasz-ks9) wrote :

@ Phillip Susi (psusi)
He didn't choose the alongside option, he chose "erase ubuntu and reinstall" (I may be wrong).

Phillip Susi (psusi) wrote :

Ahh, right, my fault. Yes, that does indeed do the wrong thing.

Changed in ubiquity (Ubuntu Trusty):
status: Incomplete → Triaged
Dimitri John Ledkov (xnox) wrote :

"erase ubuntu and reinstall" is erase full disk and do a full disk installation.

the label is a bit wrong if one happens to have a dual boot on that particular drive (e.g. erase all OS on single drive and reinstall)

However it does says in BOLD RED Warning this will erase all your data, applications and documents.

...

Even if you have a single boot system, "reinstall ubuntu" or "replace windows" silently erases all partitions on the hard drive.

@Dimitri
The warning does not unambiguously specify that ALL PARTITIONS including non-OS partitions will be deleted. (e.g. a D: drive on windows or a separate /home partition that was used by the previous linux install)

The fallout from this is going to be truly ugly, and is just growing everyday that the new LTS is out with this bug and people attempt to try out ubuntu for the first time / reinstall their previous OS.

At a bare minimum, we need to remove the reinstall option entirely. Alternatively it can be renamed to "erase and use entire drive". (This used to be an option that used to be present before)

Phillip Susi (psusi) wrote :

Indeed, the way the option is currently worded indicates that your applications and data *within the ubuntu partition* will be removed, but not everything else on the disk.

Steve Devine (devine-steve) wrote :

Since I am the guy that origianally posted this bug I would like to give you the perspective of a normal 'user'
I love Ubuntu and have used it for over 5 years. It really kinda breaks my heart that this problem is still evident in the current installer. My laptop came with no media and although I backed up my machine to a network drive I have yet to get the Windows OS restored. I dont really care about losing the Windows partition but I wont be able to sell this machine without it.
I don't have the knowledge to fix this problem or I would offer to help. I mean no disrrespect with these comments but I ask that you realize how inconvenient this is for those of us that don't have the original replacement media.

Just my two cents.

Tomasz Kuczak (tomasz-ks9) wrote :

Ok, here you have my /var/log/installer. I installed ubuntu alongside windows 8 and then reinstalled ubuntu which erased everything including efi and recovery partitions and made it's own efi partition and swap at the end of the disk. If you need any more logs you have ~1,5h, then I'm giving it to service.

Achim Behrens (k1l) wrote :

 I did not have that issue.

I replaced an 14.04 beta install with the final 14.04 ISO and that reinstall Option in the installer. The win7 install and other partitions were not touched.

Its a 32bit non-uefi netbook with a win 7 install and ubuntu not encrypted with a seperate /home partition.

Just tried again using the ubuntu-14.04-desktop-amd64.iso. md5(dccff28314d9ae4ed262cfc6f35e5153).

Erase and reinstall wipes all partitions ntfs, ext4 logical/primary. Both when replacing ubuntu 14.04 and when replacing 13.04

Nikita Kozubenko (wingedboars) wrote :

 I think this goes here. "Replace Windows 8" option also erases entire disk

I have HDD which until recently had two partitions: NTFS with legitimate Windows 8 and ext4 with Fedora 20. I decided to install Ubuntu instead of Windows, just to give Ubuntu a try. I took "replace windows 8" option (мy thoughts were: "What a service!") during installation, assuming that only windows 8 will be removed. Imagine my surprise when I discovered that Ubuntu "replaced" entire disk with itself.

installer log attached.

Erick Brunzell (lbsolost) wrote :

I just got clobbered too :^(

I have an old box running a dual-boot of Win XP (to operate some prehistoric genealogy software) and Ubuntu 12.04 that I decided to upgrade to Lubuntu 14.04.

I'll attach a screenshot of the options offered, but I chose Upgrade Ubuntu 12.04.4 LTS to Lubuntu 14.04 LTS and it did save the documents, pics, etc. in Ubuntu but also gobbled up the old XP partition.

Not a huge deal because I'm anal about creating backups but I'll have to reinstall XP + a bit of software.

@Erick: WT#? it gobbled your XP partition when you said upgrade ubuntu 12.04? Eeeeeek!
Some please replicate this and see.

> @Erick: WT#? it gobbled your XP partition when you said upgrade ubuntu 12.04? Eeeeeek!

Data loss on partitioning is sadly common, just browsing AskUbuntu today I counted 35 reports of people inadvertently deleting or formatting their Windows partitions since the start of April -- http://askubuntu.com/questions/tagged/partitioning+data-recovery?sort=newest&pagesize=50 -- that's one user's data being deleted, due to bug or error, every 1.5 days. And that is obviously just a lower bound, consisting of the minority of users who knew about AskUbuntu, and bothered to report it there, and had their questions properly tagged.

I just now saw a report of "Install Ubuntu alongside Windows" deleting all the partitions on a 2nd drive: http://askubuntu.com/questions/471996/data-lost-after-installing-ubuntu-alongside-windows -- The user managed to recover his deleted partitions using a data recover tool but concludes, "I am still angry over B**tard Ubuntu i hate it VERY much, I WONT USE UBUNTU AGAIN IT IS S**T. "

Ubuntu attracts a lot of novice users. The installer needs to make it really, really clear when it is going to wipe a partition that contains an existing file system. I would say it is necessary to make the confirmation crystal clear - maybe go so far as making them type WIPEMYDATA! or similar in capitals, to confirm that they read the text and really understand what is about to happen.

Martin Dindoffer (mdindoffer) wrote :

So the question is - Is it a bug or not? Does the option do what it is supposed to do?
Just so you know, this bug is affecting also derivatives of ubuntu - particularly Mint, here: http://forums.linuxmint.com/viewtopic.php?f=29&t=159164
I think it's a bug, whether you like to admit it or not.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1265192

tags: added: iso-testing

> So the question is - Is it a bug or not?

Regardless of what it is called, it is clearly a problem that affects a significant number of novice users in a very destructive way, and that should be reason enough for some action to be taken to improve the situation.

Since I wrote the comment above, I wondered what percentage of new users:

    a) know about AskUbuntu
    b) look up their problem there
    c) do not find an existing question that matches
    d) bother to ask a new question

This combination subset is clearly a minority of new users. At a guess, I would say they probably represent, what, 10% of new users? So the lower bound of "1 report every 1.5 days on AskUbuntu" might actually translate to 10 or so new users wiping their data every day. It is just a guess, but I wouldn't be surprised.

Chris Bainbridge

I did post a question on AskUbuntu
http://askubuntu.com/questions/400594/why-remove-ubuntu-12-04-and-replace-it-with-ubuntu-13-10-means-to-use-all-of-t
but it was closed as off-topic by RolandiXor

I have been using Linux since 1998 and still was victim of this BUG. I usully selected CUSTOM PARTITIONING but decided that UBUNTU has evolved nicely to be user friendly and selected REPLACE UBUNTU which in fact USED THE WHOLE DISK

I believe that this kind of errors can damage the LINUX and the UBUNTU reputation

So please fix this problem as soon as posible

Thanks

DoubleYY (doubleyy) wrote :

I second Mauricio Gracia.

I have, similarly, been toying with Linux since '98. And actually using Ubuntu since 2010. I have also been a vocal Linux/Ubuntu evangaliser until Unity and then Mint/Cinnamon evangaliser.

I was trying to convert my team at work to change over to Linux, when this same 'disaster' struck me as I was showing them how safe it was to change over to Linux.

I'm still struggling to recover my data after 36 hours of 'TestDisk' scanning. And my team has been traumatised enough to want to agree to pay whatever licence fees the closed source OS manufacturer demands, just to avoid such slash-and-burn destruction of their individual computers.

So, please do bear in mind, that unless and until this matter is resolved positively, it is succeeding in driving more people over to the 'other' camp than anything else.

+1. I just opened a question in AskUbuntu about this issue: http://askubuntu.com/questions/480993/ubuntu-erased-my-windows-when-i-chose-to-replace-old-ubuntu-install

I tried to overwrite my Ubuntu 12.04 with 13.10 and it erased my Windows 7 and Ubuntu now occupies my entire HD.

R.C. Primak (bobprimak) wrote :
Download full text (3.6 KiB)

Just my two cents worth.

An unsophisticated newbie would certainly consider this thread to be a legitimate bug report. I won't argue otherwise.

You at Ubuntu are not alone in assuming too much knowledge on the part of newbies and even many experienced users.

I come from a different background. I have always done multi-OS/multi-boot installations, from DOS to Windows 95/98/XP/7 and 8 (previews and 8.0). And now Ubuntu Linux from 13.04 to 14.04. I have never accidentally wiped out any installed OS. Lost OS access a few times, but that could be fixed later (with difficulty). Read on to find out why I have been so "lucky".

I have NEVER let an OS installer, disk or download or upgrade adviser, use ANY default installation routine. These are notorious for overwriting the entire hard drive, or even multiple internal drives, formatting them and then making the OS installation take over the entire disk or disks. What this thread describes is nowhere near unique to Ubuntu 14.04.

NO ONE makes it clear on their install disk selection screens, not even Windows System Builder Editions, that the failure to select "Custom partitioning" or a "Custom Installation" will result in the ENTIRE hard drive being reformatted. It is assumed that anyone sophisticated enough to be doing their own OS install from a disk (or a download) will know enough to choose "Custom" for ANY dual- or multi-boot or Repair or Upgrade In-Place installation.

My precautions are to make Full Image Backups of all contents of the drive which can be backed up, burn disks of the Windows Restore Partition, and to use gParted or MiniTool to make my own partitions before running any OS upgrade or fresh installation.

And other precautions, but everyone should see my point.

Not everyone makes such a study of partitioning and OS installation before using an install disk for the first time (or as an upgrade).

While most Upgrade Advisors do not reformat before upgrading, most full install disks do exactly that to the entire hard drive. Maybe not every Upgrade Install Disk behaves as I describe, but all Full Versions. Nearly every OS I've installed behaves the same way.

And, maddeningly enough, without so much as a screen saying,
"You are about to wipe out all data on this entire drive. Proceed? ... Are you SURE?" (If Not Sure, offer the Custom Partitioning installation and be prepared for screams of agony from newbies. This safeguard will not necessarily save those installing into VMs, but they should know better than to do a Default Install anyway.)

What is really needed, is for anyone attempting to install Ubuntu to find on some prominently labeled Web Page, all the warnings in this thread, in BOLD CAPS. All Ubuntu installation instructions should bear BOLD CAPS warnings about the default installation tending to WIPE OUT the entire disk -- ALL partitions. Otherwise, users should be instructed to select CUSTOM partitioning and installation options.

(A side-note: GRUB2 is now by default another source of issues, as it ALWAYS installs into the MBR, and takes over Boot Manager duties for all installed OSes. There have been many complaints about this inflexibility. Again, som...

Read more...

Hi,

This is for the devs and the Ubuntu Installer Team:

We experienced this issue as well in Linux Mint. Our bug report is at https://bugs.launchpad.net/linuxmint/+bug/1325786.

We decided to fix it by renaming "Replace OS with.." with "Erase disk and install..":

https://github.com/linuxmint/ubiquity/commit/8bfc98e60cc80cefe7986774f3740a5b0530e364

We've rolled out this commit in our Xfce edition. Although it's still in RC, we're confident the resulting installer is far less misleading.

Long term I would also suggest a confirmation dialog. You added warning dialogs for cases such as the lack of SWAP, or the non-formatting of / which I think is great. It would be nice to add one to scenarii where the disk is wiped. Even though there is a red warning there underneath the label, there's no dialog to interrupt the flow. It might lessen the quality of the experience but if it saves a few people from wiping their drive just because they didn't read all the info on the screen, it might be worth the annoyance.

Here's the fix, in case derivatives or upstream follow this report: https://github.com/linuxmint/ubiquity/commit/8bfc98e60cc80cefe7986774f3740a5b0530e364

R.C. Primak (bobprimak)
> What is really needed, is for anyone attempting to install Ubuntu to find on some prominently labeled Web Page

The problem is that people won't find or read the web page. All it would take to fix this issue for the vast majority of new users is a final popup confirmation box that says:

    This operation will DESTROY existing data!

        Windows C: drive with 200GB of data will be DELETED
        Windows D: drive with 150GB of data will be DELETED

     Are you really sure you want to do this? Type YES in capitals to confirm.

The advantage of a "final check" is that it would also catch people who just do not realise that they are about to delete their Windows partitions - like this guy 2 days ago: http://askubuntu.com/questions/482785/installed-over-windows-8-partition or this girl 5 days ago: http://askubuntu.com/questions/481065/accidentally-deleted-windows-partition-when-trying-to-install-ubuntu

Windows may have the same problem with their installers, but Ubuntu is in a slightly different situation, in that Ubuntu users more often want to install and dual-boot with their existing OS, whereas most users re-installing Windows will want it to the the sole OS. The Ubuntu project encourages people to download and install Ubuntu, whereas Microsoft encourages new users to buy a PC with Windows pre-installed. So Ubuntu ends up with a higher percentage of new users trying to do a dual-boot install, and so needs to be more careful with deleting data.

As pointed out above, it is odd that not adding a swap partition results in a warning and confirm dialog, but installing over a Windows partition full of data is fine...

sudodus (nio-wiklund) wrote :

I have also seen too many people report that they have overwritten partitions by mistake. it is very important include a very obvious warning in the installer. A final popup box as suggested by Chris Bainbridge would certainly help many users avoid overwriting data that they intended to keep.

R.C. Primak (bobprimak) wrote :

Re-reading this thread, I see that what the installer is doing could be unexpected. It isn't the same as Widnows installers, which generally only by default destroy a targeted partition rather than the entire disk. In either event, I recall there is at least one warning.

For installing Ubuntu, the post by Chris Bainbridge seems to cover most of the issue.

But after the warning message is shown, users should have something like three options:

I know what I'm doing. Continue.
Use Custom Install to select Partitions to be overwritten.
Cancel and Exit Installer.

Something like that.

And my apologies for not realising that this behavior does differ from what I as a long-time Windows user (but new to Ubuntu) would expect to be the default action of a well-written installer.

The most important thing is to get everyone of whatever background onto the same page in thinking about what is about to be done by the installer as quickly as possible during the installation process.

Ubuntu does not have to do everything the way Windows does it, but if we are going to be different, we should let people know about the differences when possible.

Erick Brunzell (lbsolost) wrote :

> Another one bites the dust:
>
> http://ubuntuforums.org/showthread.php?t=2230503

Just one? Check out AskUbuntu at http://askubuntu.com/questions/tagged/data-recovery (generic data-recovery tag, but most questions with that tag are about installing Ubuntu over an existing partition or drive). If you click that link now, you will see two people deleted their Windows partitions in the last 20 hours.

Dan Koepke (koepked) wrote :

Make that another. 14.04 install. I'm an experienced Ubuntu user. I could have sworn that I had used "Erase Ubuntu and reinstall" in the past to upgrade Ubuntu while leaving Windows (and any other) partitions intact. Not this time. I'm guessing my recollection was wrong too; I can't imagine the current behavior could exist if it actually did something entirely different in the past. Either way, I make less mistakes like this when I partition manually because I can see what's going on. I get the drive toward auto user-freindly stuff, but if that's the direction to head, than auto HAS to get it right, and from the user's perspective, not the developer's.

Warren Postma (warren-postma) wrote :

This is the worst experience I have ever had in many years of using Linux.

I could have lost ALL my critical data on my 1 tb data. All I lost was a week of work. But this bug is awful.

Several details I found by scouring the web:

1. It appears that Windows 8 and 8.1 partitions are NOT recognized by Debian (upstream) installer NOR recognized at all by Ubuntu.

2. It appears that some fundamental triage to the partition table is required (a repair action) to work around this problem.

Given the severity of data loss caused by this problem, I think it's got to be fixed. Meanwhile, I say, farewell Ubuntu. I've had enough. I'll use a tool that gives me SOME indication something is wrong before ALL my data is GONE forever.

There's something to be said for making things "EASY" but the Ubuntu installer is a danger to the whole world, and needs to be avoided until the Windows 8 and 8.1 partitions are ALWAYS detected.

summary: - Reinstallation wipes out all/other partitions
+ Install/reinstall wipes out all/other partitions
oldfred (oldfred) wrote :

LVM install wipes out entire drive.

With alternative installer in 12.04 it clearly said full drive install. But with 14.04 LVM says easy partitioning so new users choose it and erase entire drive.

http://ubuntuforums.org/showthread.php?t=2233313

oldfred (oldfred) wrote :

This user selected reinstall and it showed just his partitions. But then it erased all.

http://ubuntuforums.org/showthread.php?t=2231525

I always partition a drive into "/" and "/home" so I can perform fresh installs when upgrading to a new system

================================================

when installing Mint (Ubuntu) I had a similar experience as others here:

I had Mint 17 MATE 32 bit running on my laptop but wanted to roll back an earlier version (Mint 14 MATE 32 bit) and install it on my "/" partition

I selected "other" from the install menu/wizard and carefully chose the option that I thought would install Mint on only the "/" root partition of my drive - leaving the other partitions alone

upon booting up I discovered that Mint replaced my "/home" directory with a new users directory, i.e. empty versions of my Desktop, Documents, Music, Photos, Videos, etc directories

I've been using Ubuntu since 2006 and have upgraded (until 10.10) by doing fresh installs to my "/" partition many times and keeping my "/home" directory intact

I find this to be a rather serious bug - something has changed in the installer that needs to be fixed

I wanted to add some info now that I have the installer launched and in front of me allowing me to backtrack the steps I took while doing a fresh install that wiped my "/home" partition
~+~+~+~+~+~
after selecting the "something else" option on the Installation Type screen and clicking continue
I was brought to the /dev/sdx visual display of my partitions

I had three ext3 parts:

/dev/sda1 or "/"
/dev/sda5 or "/home"
and
/dev/sda6 or swap

next to each is a tick box labeled "Format?"
I ticked ONLY the /dev/sda1 box so I would install a fresh system onto a clean/wiped partition

then selected /dev/sda1 for boot loader installation

clicked on "Install Now"

the expected behavior would be to install Mint on this partition and format this partition ONLY

and if this box were *not* ticked to simply install MInt/Ubuntu to this partition and leave all others partitions untouched

Erick Brunzell (lbsolost) wrote :

I subscribed the release team to ask a question;

With 14.04.1 approaching quickly (tentatively 10 days from now) if this can't be fixed by then should we not warn of this in the release notes? If so what should the warning say?

Bruno Nova (brunonova) wrote :

In case no one noticed, Clement Lefebvre has already provided a fix/workaround, that rephrases that ambiguous label, in comments #38 and #39 (direct link to fix: https://github.com/linuxmint/ubiquity/commit/8bfc98e60cc80cefe7986774f3740a5b0530e364).

As the comment above says, the 1st point release will arrive in a few days.
So, I suggest that his fix is applied to the installer, tested and released ASAP!
This is a critical bug, after all, and several users have lost data already because of this.

Bruno Nova wrote:
> So, I suggest that his fix is applied to the installer, tested and released ASAP!

 I am not sure if any Ubuntu developers are actually monitoring this bug report (the last response was 3 months ago).

Perhaps someone could bring it up on the ubuntu-devel mailing list?

Dimitri John Ledkov (xnox) wrote :

The issue at hand is that we are not detecting windows 8 installed on the disk at all, and only notice a single Ubuntu, and thus the installer does wipe all & install.

The bug here is that there is no current way to do dual boot, on uefi, with windows 8 present.

I have been trying hard to get my hands on windows 8 install media to fix this, but I have no access to /disposable/ windows 8 machines that I can trash figuring this out.

Phillip Susi (psusi) wrote :

It doesn't matter if it doesn't detect windows; it should not be erasing any partitions at all. The description indicates that the option will just reinstall ubuntu in the existing partition, so that's what it should do.

Bruno Nova (brunonova) wrote :

Exactly!
While there is no "real" fix for that issue, the installer should be patched to make it clear that it will wipe everything!
Preferably before 14.04.1 is released.

I sent a mail to the ubuntu-installer mailing list to have a look at
this. But I think it's to late for 14.04.1, which is to be release on
July 24th. I doubt they will fix this in six days' time. And I think the
freeze is even before...

sudodus (nio-wiklund) wrote :

2014-07-18 18:48, Dimitri John Ledkov skrev:
> The issue at hand is that we are not detecting windows 8 installed on
> the disk at all, and only notice a single Ubuntu, and thus the installer
> does wipe all & install.
>
> The bug here is that there is no current way to do dual boot, on uefi,
> with windows 8 present.
>
> I have been trying hard to get my hands on windows 8 install media to
> fix this, but I have no access to /disposable/ windows 8 machines that I
> can trash figuring this out.
>
Hi Dimitri,

What do you need? Can I help you testing things in a Toshiba laptop,
where I have Windows 8 delivered on a DVD disk (and I have it backed up
too)? I can run it in UEFI as well as in BIOS mode. It is specified in
the following link

http://www.toshiba.se/laptops/satellite-pro/c850/satellite-pro-c850-19w/

In that computer I can even run a system from a USB pendrive, that
boots in both modes

https://help.ubuntu.com/community/Installation/UEFI-and-BIOS

I have also some spare HDD or SSD, than can be trashed. But I hope the
computer itself will survive. So to be clear, I can test things here at
my place in my computer, if it can help you.

Best regards
Nio

Erick Brunzell (lbsolost) wrote :

It seems there are quite a few variables, errm - bad way to explain ................

Just as an example; regarding my loss of XP in a dual boot after choosing the reinstall or upgrade option as reported in reply #27 I'd almost think it was human error. I am after all legally blind and I suffered a mild stroke April 22nd, so human error is possible but then I read about a Mint user having a similar outcome in reply #30???

But I've been kicking myself for not filing a new bug report and letting apport collect the ubiquity logs. Unfortunately I did what I'm sure most users do - I freaked out and went into "data recovery" mode, and since then I've tried several times to reproduce that behavior with no luck.

I have no UEFI hardware nor a Windows OS newer than XP so I can't really help but thought at the very least we should add something to the release notes.

Would applying Clem's patch help at all?

Could we add a bold warning message either just before or at the top of the installation options screen to the effect that data and/or OS loss is possible during repartitioning or installation?

Or could we have the installer offer nothing but "entire disc" or the advanced partitioning option if UEFI or certain other criteria are recognized by ubiquity?

Sorry for what are probably stupid suggestions. I really love Ubuntu and only mean to be helpful, I never thought for one moment that the installer team was just ignoring this.

Bruno Nova (brunonova) wrote :

The partitioning step of the Kubuntu installer is more detailed (and less ambiguous).
It displays the resulting partitions for the selected option graphically.
The options also appear to be a bit more detailed and less ambiguous.

Maybe you should consider using this, or part of this, in the Ubuntu (and other flavours) installer (it's still ubiquity, right?).
It appears to be a lot less ambiguous, but a bit harder to understand by beginners (but if it saves them from losing data...).

machrider (machrider) wrote :

Just chiming in to say that I got burned by this during Xubuntu 14.04 installation. I previously had Windows 7 and Linux Mint Nadia in a dual boot configuration. My options were:

* Install alongside Linux Mint Nadia
* Overwrite Linux Mint Nadia
* ...something custom, I think...

I chose to overwrite Linux Mint Nadia, and it wiped the entire disk, including my Windows partition. :( I was hoping there would be a point in the installer where it would provide a summary of the actions it was about to perform, but it jumps straight into the installation without showing you anything like that. If I had seen a summary of the actions the installer was going to take, I would have stopped it.

Still not sure how much data I lost at this point.

machrider (machrider) wrote :

By the way, fixing the bug in the installer is important, but it is not enough. This really merits a new Xubuntu release (14.04.1 or something), because otherwise many other unsuspecting users will download the image and get burned the way I just did. User interfaces that are about to wipe your entire disk need to make it painfully clear what they are about to do.

Geetu Vaswani (vaswani-geetu) wrote :

A best practice is to use CloneZilla to backup the image of the Windows partitions or the entire disk first, and then install any other operating system. I too had the same problem where my entire hard disk partition was wiped out. I had Windows 8.1 on the computer. Subsequently, I restored the original Windows 8 image backed up using Clonezilla. Agreed, I did go back to Windows 8 as dual install with Ubuntu 14.04 LTS was not working, but that is fine. I attributed it to a problem with Windows 8.1 as with Windows 8, installation of Ubuntu 14.04 alongside worked very well.

Fane (i96usa) wrote :
Download full text (4.4 KiB)

This is a horrible bug. I spent the last 2 days testing & reproducing it. I want to share my findings with you.

I was not hit by the bug on "real metal" install as I always go the [Something else] partitioning route when installing - I never trust any OS installer to play with my partitions, I partition separately and install inside already created partitions (I usually allow formatting of root partition as not doing this will make some installers complain or even worse, trigger a different set of bugs). I found out about this wipe out bug while reading on the net and I couldn't believe something like this is really possible - so I had to see it with my own eyes.

For testing purposes I've used VM environments - namely VMware Player and Virtual Box.

In VMware Player I've tested using BIOS/MBR HDD formatting as well as EFI/GPT HDD formatting. In Virtual Box I've only tested using BIOS/MBR HDD formatting. BIOS/MBR versus EFI/GPT (or the VM environment) made no difference.

For all above scenarios I've tested using Windows 7 and Windows 8.1. Both were obtained as ISOs from Microsoft's TechNet (Free Enterprise Evaluation versions). Well, this made the difference.

While I've read that a number of people wiped out Windows 7 as well, in all my tests Windows 7 was not wiped.
However, in all my tests, Windows 8 was wiped out every time.

Test scenario:
 A. Common part, working just fine for both Windows 7 and Windows 8:
  1. VM HDD is 30GB;
  2. Install Windows (7/8) in a 20GB partition created at install time - so leave 10GB free for installing Linux later;
  3. After Windows (7/8) finishes installing and boots OK, shut down the VM.
  4. Install Linux - any *buntu 14.04.1 - on the free 10GB. I used a custom (built by myself) i386 LXDE version based on 14.04.1 for BIOS/MBR. For EFI/GPT I've used the official Ubuntu 14.04.1 amd64 ISO. Do the installation going the [Something else] route and creating a Linux partition in the 10GB of free space.
  5. After Linux finishes installing and boots OK, shut down the VM.
 B. Now it's time to see the bug in action. For this purpose we'll re-install Linux:
  I. Windows 7 VM:
   - start the VM with the same ISO used at step 4.
   - when the installer gets at the [Installation type] stage, read top line: "This computer currently has Windows 7 and Ubuntu 14.04.1 LTS on it.". Ubuntu recognizes the presence of Windows 7 - please see attachment.
   - choose [Erase Ubuntu 14.04.1 LTS and reinstall]. Notice how this is the 1st option in the list, the 2nd being [Erase everything and reinstall] which mentions something about deleting both Windows 7 and Ubuntu. Notice how the [Encrypt ...] and [Use LVM ...] options are INACTIVE.
   - finish re-installing;
   - check partitions - Windows 7 is still there;
   - reboot and see that Windows 7 also appears in GRUB and still works fine when started;
   - reboot and see that Linux also works fine when started.
  II. Windows 8 VM:
   - start the VM with the same ISO used at step 4.
   - when the installer gets at the [Installation type] stage, read top line: "This computer currently has Ubuntu 14.04.1 LTS on it.". Ubuntu DOESN'T recognize the presence of Windows 8 - please see a...

Read more...

Martin Dindoffer (mdindoffer) wrote :

@Fane
It's all matter of legacy bios or uefi booting. The installer *must* be booted in the same mode as the windows was installed in. Otherwise the installer will not find the other OS. When the windows is installed in bios mode and the ubuntu installer is booted in uefi, it does not find windows.
I have had win7 installed in legacy mode, booted installer in legacy (win7 recognized) and still it deleted everything.

Erick Brunzell (lbsolost) wrote :

Another one bites the dust:

http://ubuntuforums.org/showthread.php?t=2239279

Shouldn't this at least be mentioned in the release notes?

Erick Brunzell (lbsolost) wrote :

I'd actually been lazy the past few days but:

http://ubuntuforums.org/showthread.php?t=2239038

http://ubuntuforums.org/showthread.php?t=2239115

That makes three that I'm aware of in just 24 hours :^(

I'd surely think it deserves a mention in the release notes at the top of this section:

https://wiki.ubuntu.com/TrustyTahr/ReleaseNotes#Boot.2C_installation_and_post-install

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-livecd-image (Ubuntu Trusty):
status: New → Confirmed
Changed in ubuntu-livecd-image (Ubuntu):
status: New → Confirmed
Hugo Venhorst (yougo) wrote :

would it be difficult to read out someones existing fstab, determine where / is (and possible other mount points like /home) and use that info to reinstall as expected and not touch anything else?

i'm no dev, but that sounds doable, right?

V字龍(Vdragon) (vdragon) wrote :

Just marked as affected by this bug, though I never wanted to reproduce it in any scenarios...
Sorry for another e-mail notification annoyance.

Thiago Martins (martinx) wrote :

I had a Ubuntu 13.10 (some friends with 13.04), on a Linux-only PC (no Windows crap), just two partitions (one root, another swap). Then I downloaded Ubuntu 14.04 Desktop ISO, I selected "Upgrade Ubuntu 13.10".... BOOM!!! It completely deleted ALL my Virtual Machines under /var/lib/libvirt/images and ALL my files under /var/www... Ubuntu "upgrade" process is a LIAR! It does NOT upgrade, it DELETES then REINSTALL. Only files under /home was preserved. This really sucks.

Bruno Nova (brunonova) wrote :

This bug has been reported in OMG! Ubuntu!: http://www.omgubuntu.co.uk/2014/08/ubuntu-installer-bug-wipes-partitions
(and also other sites)

At least add this bug to the "known issues" in the release notes, and make the link to it in the download page more prominent.

Might affect beta1 of elementary OS, marking affected with status "New".

no longer affects: ubiquity
Changed in elementaryos:
milestone: none → freya-beta2

There are several options in ubiquity that will wipe the whole disk but this is not mentioned in the option description. The patch I'm attaching changes the descriptions for the *_format actions to better reflect that those options wipe the whole disk, including other partitions and operating systems.

The generic text is:

 _Description: Erase whole disk and install ${DISTRO}
 <span foreground="darkred">Warning:</span> This will delete everything on the disk, including other partitions, other operating systems, all your programs, documents, photos, music, and any other files.

I would prefer to get rid of the duplicate messages and just display a simple "your whole drive is going to be erased, everything will be gone, all of your data will be deleted". imho ubiquity is trying too hard to display a custom message, and instead opening the possibility of fault and misinterpretation, by trying to identify what the user has installed and only reporting that (eg. trying to detect a Windows partition, then telling the user Windows will be replaced). There is a possibility of confusion if ubiquity fails to identify a drive or partition (eg. does ubiquity identify encrypted partitions from other operating systems? Does it identify Windows Dynamic Disks? Has anyone ever tested this?) and then simply says "Update Ubuntu" or "Replace Windows", when what it is actually going to do is erase every partition on the drive.

The bottom line is that, if the whole disk is going to be erased, then ubiquity should say so. The old simple message "Erase disk and install Ubuntu" was at least clear that the disk was going to be erased, but now different messages get shown depending no what ubiquity detects on the hard drive, and then the whole drive is wiped without the user being told that was going to happen.

sudodus (nio-wiklund) wrote :

This is a very good idea, Chris,

I would like to add that not only the work warning should be red, but the background or a surrounding frame should be red as a final warning. See the picture in this link (from mkusb)

https://help.ubuntu.com/community/mkusb/pictures?action=AttachFile&do=get&target=44-mkusb.desktop-in-kubuntu_select-device_final-warning.png

zenity --text-info --html is used to create the red window

sudodus (nio-wiklund) wrote :

typo: work --> word

Guanyang Luo (luoguanyang) wrote :

Another victim of the bug here. I couldn't find this bug report earlier, so I filed my own (Bug #1358543). It seems any option other than "alongside" and "custom" will wipe the hard drive without clear indication to the user. As mentioned in previous posts, sites such as ubuntuforums and askubuntu (even right here in the "answer" section of launchpad) show that there are a lot of victims.

I don't understand why such an important issue is not fixed after being triaged for almost 5 months. Simply replacing the existing text with a clear description, such as the one provided by Chris, and putting up a version of the installer/live-CD would have saved so many people from the devastating realization and the potentially time consuming data recovery process. The installation guide should be updated as well (http://www.ubuntu.com/download/desktop/install-ubuntu-desktop).

Download full text (3.4 KiB)

This patch should fix Ubiquity not detecting Windows EFI installs.

Ubiquity uses os-prober to detect installed operating systems. os-prober iterates through each disk and each partition, calling a series of scripts to attempt to identify a given partition, and printing results to stdout in the form:

/dev/sda1:Windows XP Professional:Windows:chain
/dev/sda2:Windows 8 (loader):Windows:chain
/dev/sda3:Ubuntu 14.04.1 (14.04):Ubuntu:linux
/dev/sda4:Mac OS X:MacOSX:macosx
/dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi:Windows Boot Manager:Windows:efi

Note the final result: on Windows EFI systems, os-prober runs the script /usr/lib/os-probes/mounted/efi/20microsoft, which prints not just the partition device, but also the '@' character followed by the full path to the Windows EFI boot manager. This causes Ubiquity to fail to detect Windows, because the string comparison of '/dev/sda1' to '/dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi' fails.

The patch fixes this by limiting the device path to only regular characters and digits. I should point out that I haven't fully tested this patch as I do not have a Windows EFI system to test on, but I have tested by replacing /usr/bin/os-prober with a shell script that just echoes the full EFI line to the output, eg.:

 #!/bin/sh
echo "/dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi:Windows Boot Manager:Windows:efi"

With this technique it is possible to test different layouts in a VM without having to install any other operating systems. Just make the bare partitions and then have os-prober report that something is installed there.

There is another serious bug I noticed in Ubiquity:

    - os-prober returns a list of installed operating systems but the code of calculate_autopartitioning_options() in ubiquity/plugins/ubi-partman.py just gets passed a basic list of all the detected operating systems on all drives. The logic assumes that all of the operating systems are on the same drive, so on a multi-disk system it will report all operating systems on every disk as being "installed" at the same time, and when OSes are on different disks it will warn, for example, that "both Windows and Ubuntu will be deleted", which isn't true because Windows and Ubuntu are on different disks and only one disk is going to be deleted.

    - If there are two disks, and os-prober shows no operating systems on sda and Ubuntu on sdb, then the Ubiquity "Install" screen will have title "Erase Ubuntu 12.04 and reinstall" and will incorrectly select drive "sda" (Ubuntu is not on sda). If the user clicks continue, the installer will go ahead and overwrite all partitions on the first disk while claiming to be "erasing Ubuntu 12.04". It does say that "4 partitions will be deleted" (another bug, it seems to include free space gaps in the partition count) but it's easy to miss that text, given the reassuring big font text "Erase Ubuntu xx and reinstall".

The problem code was introduced in this patch: http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/revision/4515.1.1/ubiquity/plugins/ubi-partman.py - unless I am missing something, it seems that the calculate_autopartitioning_options() code is based on the assumption that the user will ...

Read more...

tags: added: patch

I suspect that auto-partitioning with multiple disks has always been a problem, but wasn't so serious previously, since the user would just be warned about having more operating systems on the disk than they really had. It became more dangerous when combined with Windows not being detected. A two disk setup of first disk with (undetected) EFI Windows and second disk with Ubuntu is handled as a "single OS Ubuntu upgrade", and when the user clicks to upgrade, the Windows disk is wiped.

Guanyang Luo (luoguanyang) wrote :

Just want to post a short tutorial on how to recover files (took me the entire US Labor Day weekend to figure it out). If you think this may useful to other people (such as those in ubuntuforums, askubuntu, and ubuntu launchpad "Answers" section), please share this with them.

The following is mostly derived from https://help.ubuntu.com/community/DataRecovery

1. Stop using the wiped hard drive.
2. Use/borrow another hard drive or computer for recovered data.
3. Make a live-CD/usb if necessary (I used lubuntu and pendrivelinux's Universal USB Installer)
4. Run the live-CD or the recovery computer and use GNU ddrescue to make an image of the wiped hard drive so that we have a !backup!. Store the image on the recovery hard drive or computer.
5. Use testdisk on the image to recover the lost partitions and copy desired files http://www.cgsecurity.org/wiki/TestDisk_Step_By_Step

If everything goes well, you should be good to go. For me, some additional challenge occurred.

6. testdisk shows that my NTFS partitions have the correct sizes, but does not show any file. Still, use testdisk on the image to get the partitions back.
7. On a Windows computer, use OSFMount to mount the image http://www.osforensics.com/tools/mount-disk-images.html
8. Use chkdsk on the mounted partitions, use the "/f" option if fix is needed
9. Copy files from the mounted partitions, or unmount the partitions and use testdisk under live-CD (or Windows) on the fixed image

Stéphane Graber (stgraber) wrote :

Just did a quick test here in a UEFI VM, installed win8.1 on the whole disk, rebooted with an Ubuntu live media, starting the installer only offered me to wipe the system clean as it didn't detect anything.

Applied the patch and re-started ubiquity, it now detects an operating system, though lists it as "Windows Boot Manager" and properly offers to resize and install.

Post-install I see two EFI entries, "ubuntu" and "Windows Boot Manager". Ubuntu boots just fine, Windows boots but first runs some repair tool, possibly because of the resized NTFS, after repairing and rebooting, Windows boots just fine.

So I guess we can consider this patch a success :)

machrider (machrider) wrote :

Glad to see it's doing a better job detecting other OSes. I'd hesitate to call this bug "resolved" until the installer does a better job messaging to the user what it is about to do. For example, if it says it is going to "replace" one OS, it should also make it clear that this is actually an entire disk wipe. There are probably lots of partition types that ubiquity does not recognize.

Personally, I'd prefer to see this in a confirmation step that appears before any changes are made. It's pretty typical for Linux installers to have a summary screen saying, "here's what I'm about to do to your disk" and giving you a chance to catch issues before you lose all your data.

Stephane, thank you for testing. Windows appears as "Windows Boot Manager" because that is the text returned by os-prober, presumably because it literally looks for the Windows boot loader on a partition. I suggest filing a bug with that project if you think it should be changed.

machrider, I agree that the installer should tell the user when it is going to wipe the entire hard drive. There are comments in the os-prober scripts to the effect "this is just a best effort, and will miss stuff". The patch I posted in comment #80 (ubiquity-better-desc.patch ) changes the descriptions to say that the hard drive will be wiped. It would be good to have an extra confirmation that the user understands their data really will be wiped.

The multiple drives auto-partition also still needs to be fixed or blocked. I don't have any insight into what the maintainers of Ubiquity want to do about that (or about adding an extra confirmation), perhaps they will reply and let us know (imho the maintainers have been rather quiet, considering this is a serious bug that has been known about for 9 months and resulted in many people having their drives wiped, I would have thought this bug worthy of more attention).

Petar Sredojevic (perosredo) wrote :

I just experienced a variation of this issue - my data was not wiped but my partitions were resized and rearranged or merged, I can't say what because I can't make sense of it.

In the installer, I was presented with the 'alongside' or 'replace' options, and after choosing 'alongside' there was no warning, no preview, or a way back. At this point I assumed that the installer would show me a preview and hard-ask me to confirm at a later time, and at a minimum that whatever it would do would be non-destructive, and there was tons of unformatted space for it to use. This is a LTS after all.

My starting partitions were something along the lines of:

sda1 - 300mb - EFI
sda2 - 32gb - Fedora / (ext4)
sda3 - 128gb - /home(ext4)
sda4 - 8gb - swap
unpartitioned - ~80gb

I now have (taken from the Fedora install):

# lsblk
NAME MAJ:MIN RM SIZE RO TYPE MOUNTPOINT
sda 8:0 0 238.5G 0 disk
├─sda1 8:1 0 300M 0 part /boot/efi
├─sda2 8:2 0 125G 0 part /home
├─sda3 8:3 0 31.3G 0 part /
├─sda4 8:4 0 7.8G 0 part [SWAP]
└─sda5 8:5 0 74.1G 0 part

# fdisk -l

Disk /dev/sda: 238.5 GiB, 256060514304 bytes, 500118192 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 196DAE4C-D3BD-46CA-B561-BA945C76198E

Device Start End Size Type
/dev/sda1 2048 616447 300M EFI System
/dev/sda2 616448 262760447 125G Microsoft basic data
/dev/sda3 262760448 328296447 31.3G Microsoft basic data
/dev/sda4 328296448 344680447 7.8G Linux swap
/dev/sda5 344680448 500117503 74.1G Linux filesystem

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.19.8

---------------
ubiquity (2.19.8) utopic; urgency=medium

  [ Colin Watson ]
  * Avoid closing /dev/urandom persistent FD on oem-config startup (thanks,
    Jamin W. Collins; LP: #1362920).

  [ Chris Bainbridge ]
  * Fix Windows UEFI detection. (LP: #1265192)
 -- Stephane Graber <email address hidden> Fri, 12 Sep 2014 14:35:57 -0400

Changed in ubiquity (Ubuntu):
status: Triaged → Fix Released
Adolfo Jayme (fitojb) on 2014-09-13
Changed in ubuntu-livecd-image (Ubuntu Trusty):
importance: Undecided → Critical
Changed in ubuntu-livecd-image (Ubuntu):
importance: Undecided → Critical
Changed in ubiquity (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody

@Stephane - do you plan to merge ubiquity-better-desc.patch or have any comments regarding it? There are setups where os-prober will fail to find a partition with an operating system, and go ahead wiping all the partitions on the drive without telling the user. It is bad idea to wipe the whole drive without telling the user. Also, what is to be done about the auto-partitioning not working on multiple drive systems?

Daniel Fore (danrabbit) on 2014-09-17
Changed in elementaryos:
status: New → Triaged
milestone: freya-beta2 → freya+1-beta1

The bug is NOT fixed in ubiquity 2.19.8

Just tried the latest utopic iso. it has version 2.19.8 of ubiquity. The menu still says "Erase ubuntu 14.04 and reinstall" instead of "Erase entire hard drive"

To reiterate the problem:
The default option is LABELED "Erase ubuntu 14.04 and reinstall"
While the ACTION is to Format the entire disk.

To fix this we need to change the LABEL to "Format and use entire disk: Warning- you will lose all your data"

see the fix used by the mint guys: https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1265192/comments/38

Changed in ubiquity (Ubuntu):
assignee: nobody → staticd (staticd-growthecommons)
assignee: staticd (staticd-growthecommons) → nobody

@staticd That is what I was saying in comment #93, and I already posted a patch. As far as I can see, there are several scenarios where the disk will be wiped, see https://launchpadlibrarian.net/183531176/ubiquity-better-desc.patch

@chris Yeah, this bug wont be fixed till either your patch or the mint one is applied. Preferably both.

@stephane: I think the patch is related to https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1259701 , not this one :D
btw what do you mean offered to "resize and install" ? could you share the tet of that option (or a screen shot)?
thanks

chenp (chenpengyu-86) wrote :

I'm very sad that I met with this issue which swipes out all the data. I recommended it to my colleague but Ubuntu tricked me by the "Reinstall Ubuntu". It finally removed all my colleague's data. We thought it won't touch other OS. And it shouldn't. Why re-installing Ubuntu touches other OS?

I decided to give up using Ubuntu from today though I have 8 years Ubuntu experience and loved it before.

OK. It looks like the the final beta for utopic is out. On a scale of 1-10 of bugs that will harm ubuntu in the long run this one is a 10. People will live with buggy, ugly and feature incomplete, but "OMG!! Ubuntu ate my hard drive!" is something that will very very strongly disuade new users from installing and trying ubuntu.

Can someone please mark this bug as NOT FIXED and merge chris's patch? My not so humble opinion, in fact fanatical religious conviction :P is that utopic must not ship without this being fixed.

Chris J Arges (arges) on 2014-09-30
Changed in ubiquity (Ubuntu):
status: Fix Released → Confirmed
Steve Langasek (vorlon) wrote :

Stéphane, please have another look at this in utopic. It seems there are still some cases where ubiquity is wiping out the UEFI partition without warning.

Changed in ubiquity (Ubuntu):
assignee: nobody → Stéphane Graber (stgraber)
Steve Langasek (vorlon) wrote :

Stéphane is unlikely to get to this before release. Colin, can you have a look?

Changed in ubiquity (Ubuntu):
assignee: Stéphane Graber (stgraber) → Colin Watson (cjwatson)
Michael P (crank) wrote :

omg i am just now upgrading my dual-boot laptop on my workplace while reading this.
i am an experienced linux user since 15 years, using lfs and gentoo as sole OS for most of them, switching to debian and now ubuntu.
I have seen many of these "super-bugs" in these years, explainable only by 1. carelessness, 2. arrogance, 3. dullness, 4. sabotage.
yes, sabotage. we all know that microsoft pays billions in its fight against linux, so there are surely coders that would take that extra money for creating bugs that do not only affect new users, but even the confidence of long time linux users.
people introducing such major bugs, that affect the whole OS for years, and who laterdelay the fix by discussing for month about "is it a bug or is it not?" should be removed from development. they surely fall into at least one of the mentioned categories.

sry to be so clear about that, but thats how professional development works, and it's not even rude to say that. its just reality in 99% of every successful project.

Bruno Nova (brunonova) wrote :

In my humble opinion, besides fixing the OS detection and ambiguous labels, a final confirmation step should be added after the simple/advanced partitioning step (like others have suggested).

That step should detail the partitioning changes and warn the user that clicking "Install Now" will write the changes to disk and ask for confirmation.
Something like the Ubuntu installer used to have: http://linux4us.org/images/ubuntu_8.10/install7.png

It could also display the "before" and "after" disk(s) partitions in that step, or before in the simple partitioning step like it used to: http://www.dedoimedo.com/images/computers_new_1/ubuntu-install-partitioning.jpg

The older versions of the Ubuntu installer made a better job here.

+1 for what @Bruno said. The before after is definitely a good idea. Will
it be very hard to put in considering it was once a part of the installer?

On Sat, Oct 11, 2014 at 12:39 AM, Bruno Nova <email address hidden>
wrote:

> In my humble opinion, besides fixing the OS detection and ambiguous
> labels, a final confirmation step should be added after the
> simple/advanced partitioning step (like others have suggested).
>
> That step should detail the partitioning changes and warn the user that
> clicking "Install Now" will write the changes to disk and ask for
> confirmation.
> Something like the Ubuntu installer used to have:
> http://linux4us.org/images/ubuntu_8.10/install7.png
>
> It could also display the "before" and "after" disk(s) partitions in
> that step, or before in the simple partitioning step like it used to:
> http://www.dedoimedo.com/images/computers_new_1/ubuntu-install-
> partitioning.jpg
>
> The older versions of the Ubuntu installer made a better job here.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1265192
>
> Title:
> Install/reinstall wipes out all/other partitions
>
> Status in elementary OS:
> Triaged
> Status in “ubiquity” package in Ubuntu:
> Confirmed
> Status in “ubuntu-livecd-image” package in Ubuntu:
> Confirmed
> Status in “ubiquity” source package in Trusty:
> Triaged
> Status in “ubuntu-livecd-image” source package in Trusty:
> Confirmed
>
> Bug description:
> Brand new Samsung laptop with UEFI. I had installed 13.04 Ubuntu but on
> reboot I never saw the 'grub' style menu. It just kept going into Windows
> 8.1. So I got the 13.10 version (64 bit) and choose "Reinstall Ubuntu"
> (That may not be the exact text)
> It removed all the partiions including the recovery partitions. I do
> have a backup for the windows install, but I was very surprised that this
> happened.
> On a positive note I now have Ububtu up and running on my machine.
> This is not my first time with Ubuntu. I have installed Ubuntu alongside
> WinXp, Vista and Windows 7. I've used Ubuntu desktop for over 6 years.
> If you would like me to try something to replicate this. .. I could
> shrink my existing partion make another one - reinstall and see if it
> whacks that one. I can do this now .. I'm still moving into this laptop so
> starting over is not so bad.
>
> Steve Devine
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/elementaryos/+bug/1265192/+subscriptions
>

Erick Brunzell (lbsolost) wrote :

Based on the last two comments I'll mention this here even though it probably deserves a new bug report, or multiple bug reports.

Another way in which a new user may mistakenly delete a partition is the design choice of replacing the Add & Remove buttons with + & - in the advanced partitioning tool, and there is no confirmation or warning that you're about to delete the selected partition if you click on -.

Quite simply + & - do not always = add & remove, look at the GNOME screenshot tool and you'll see that + & - = increase & decrease. Or look at the GNOME disk utility, it uses + & - but when you "mouse-over" the - button a pop-up window appears saying Delete partition. No warning is given, nor is any confirmation requested by the installer in this case ................ just highlight a partition, click on -, and poof it's deleted even if the user only intended to reduce the size of the partition.

Of course the installer also lacks any indication that it's going to use the largest continuous free space if sufficient free space exists and the user selects Install alongside, the only indication is that the Continue button in the lower right hand corner changes to Install now. We still see complaints about that on the forums, frequently if a user has a mass storage device with unformatted space they'll end up with both Ubuntu and grub in undesired locations.

Prior to Maverick if a new user wanted to install Ubuntu alongside either Vista or Win 7, and less than 4 primary partitions existed, they could simply use Windows own partitioning tool to resize the desired Windows partition and then select Use largest continuous free space. Since most newer computers use gpt rather than msdos that option would make installing Ubuntu a snap if it were clearly defined, and if confirmation of the changes was requested before the actual installation proceeds, including the option of where to install grub.

Bruno Nova (brunonova) wrote :

@Erick, about the '+' and '-' buttons, you're talking about the advanced (manual) partitioning step in the installer, right?
I'm almost sure that clicking '-' doesn't delete the partition right away, it only marks it for deletion. The deletion only occurs after clicking the "Install" button.

Seeing the fact that this bug has been reported in a 13.10 version (1 year old). Is it not possible to add a warning in the installation screen? When using Windows 8.1 always use the manual setting.

Because Windows 8.x is the default Windows on new laptops and there is no clear documentation that this could happen. More people will be affected with this due the secure boot and therefore the need of retrying of installation after installation to get Ubuntu booting.

Erick Brunzell (lbsolost) wrote :

@ Bruno, yes I'm talking about the advanced partitioning buttons. It turns out that you are correct. The installer only appears to have deleted the partition (see complied screenshot) but if you click on Quit the partition still exists, so it is possible to quit if you mistakenly think the - button means "shrink" rather than delete. I still contend that's a poor design though because - does not universally = delete, it can also indicate reduce (or shrink/lower).

Colin Watson (cjwatson) wrote :

My profound apologies for our poor and slow response to this bug. It's clear that we need to do much better. I think my colleagues who've looked at this so far have focused on the detail of individual failures, which is an understandable response, but this bug needs us to step a bit further back than that. I've tried to analyse as many of the specific examples given here as I could, but this bug is very long and that length has itself I think deterred some developers from responding to it promptly; from here on in I'd appreciate it if any responses necessary could be kept short and to the point, so that we don't get further bogged down.

The root cause of this is essentially an overoptimistic design that assumes that we can always accurately detect the set of operating systems installed on the system. I can see why the designers of the current automatic partitioning page wanted that - it's obviously a desirable feature to have - but it is vital that we defend in depth against it being wrong. While we certainly should try to fix OS detection errors, a more fundamental principle needs to be that we do not mislead users into erasing valuable data because we made an OS detection error. OS detection must be treated as a useful advisory tool, and not something whose failure can result in the involuntary erasure of user data.

I generally agree with Clement Lefebvre (comment #38) and Chris Bainbridge (comment #80) that the problem lies in the descriptions selected for various basic automatic partitioning options; I'm not quite using their patches verbatim, but I'm taking a fairly similar approach. The "use_device" option must *never* be described in any terms that do not make it clear that it erases the disk. Furthermore, even if we believe that only Ubuntu is installed, we must offer separate "erase Ubuntu and reinstall" and "erase disk and install Ubuntu" options, because we might be wrong.

Chris Bainbridge has several good points in their rewording of the automatic partitioning options. However, it's critical that we be able to apply this patch to 14.04 point releases as smoothly as possible, and I don't want to run into translation delays (as it's important that non-English-speakers be able to understand these warnings too). The current text for ubiquity/partitioner/multiple_os_format is clear enough, I think ("Erase disk and install Ubuntu"; "Warning: This will delete all your programs, documents, photos, music, and any other files in all operating systems"), so I'm simply arranging never to use any other text to describe the "use_device" option. That saves having to worry about translation updates here.

I'm also inclined to agree at this point that a confirmation option is probably desirable. Again, I can absolutely see why the design ended up here, as it certainly gives us an installer with cleaner lines, but it seems cavalier to fail to be absolutely clear what's about to be done. Resurrecting the old confirmation page in its entirety would be pretty difficult at this point, and it had its own issues anyway, but we can probably at least manage a simple confirmation dialog. I'll look into that.

no longer affects: ubuntu-livecd-image (Ubuntu)
no longer affects: ubuntu-livecd-image (Ubuntu Trusty)
Changed in ubiquity (Ubuntu):
status: Confirmed → In Progress
milestone: ubuntu-14.04 → ubuntu-14.10

@Colin Will your changes fix the problems with multiple drives? calculate_operating_systems returns a list of operating systems without location (drive or partition), then calculate_autopartitioning_options uses that list to decide how to proceed *as if all of the detected operating systems were on a single drive*. Being told that a drive is being wiped is not enough, since it is not clear to the user which drive is being wiped. Copy/paste from previous discussion in case you missed it:

    - a two disk setup of first disk with (undetected) EFI Windows 8 and second disk with Ubuntu is handled as a 'single OS Ubuntu upgrade', and when the user clicks to upgrade, the Windows disk is wiped.

    - If there are two disks, and os-prober shows no operating systems on sda and Ubuntu on sdb, then the Ubiquity "Install" screen will have title "Erase Ubuntu 12.04 and reinstall" and will incorrectly select drive "sda" (Ubuntu is not on sda). If the user clicks continue, the installer will go ahead and overwrite all partitions on the first disk while claiming to be "erasing Ubuntu 12.04". It does say that "4 partitions will be deleted" (another bug, it seems to include free space gaps in the partition count) but it's easy to miss that text, given the reassuring big font text "Erase Ubuntu xx and reinstall".

(Also, there are tests for autopartitioning in tests/test_ubi_partman.py - if you are familiar with the test code here it might be useful to add some test cases to cover the error cases documented in this bug report - multiple partitions and/or drives, os-proper potentially returning nothing - so that future code changes will not reintroduce these bugs.)

Erick Brunzell (lbsolost) wrote :

Regarding the 2 drive (perhaps I should say - more than one drive) issue the Install alongside option has an existing problem in that regard - see bug #1262824. The one good thing about that particular scenario is that if the wrong drive is selected you do still have the option of selecting the advanced partitioning tool from that screen if the wrong drive is selected by default.

Colin Watson (cjwatson) wrote :

On Tue, Oct 14, 2014 at 03:48:30PM -0000, Chris Bainbridge wrote:
> @Colin Will your changes fix the problems with multiple drives?

I'll certainly check what happens with multiple drives and try to make
sure it's reasonable. (Needless to say, the tests are somewhat
time-consuming.) Adding a confirmation dialog provides an extra safety
net, although does require recognising which device is which so it's not
perfect.

> - a two disk setup of first disk with (undetected) EFI Windows 8 and
> second disk with Ubuntu is handled as a 'single OS Ubuntu upgrade', and
> when the user clicks to upgrade, the Windows disk is wiped.

This should not be a problem; with my patches the "Erase Ubuntu and
reinstall" option in the single-detected-OS case will really just erase
Ubuntu, not be a stealth "wipe the disk" option.

> - If there are two disks, and os-prober shows no operating systems
> on sda and Ubuntu on sdb, then the Ubiquity "Install" screen will have
> title "Erase Ubuntu 12.04 and reinstall" and will incorrectly select
> drive "sda" (Ubuntu is not on sda).

Similarly, "erase Ubuntu and reinstall" won't wipe a disk any more; it
will remove the partition corresponding to the Ubuntu root file system
and autopartition whatever's left. This is the underlying "replace"
option, and is what "Erase Ubuntu and reinstall" already mapped to in
the case where Ubuntu and some other operating system are detected. I
think it makes a lot of sense to ensure that the same option text always
corresponds to the same underlying implementation.

The "Erase disk and install Ubuntu" option will still send you off to
select which disk to wipe (I believe; as I say, I still need to test
this), but I think that's a lot more forgiveable when it's preceded by
"This will delete all your programs, documents, photos, music, and any
other files in all operating systems". If anything, that overstates the
case on a system with multiple disks. We will in any event no longer be
implying by the structure of the automatic partitioning workflow that
the disk that's selected by default is the one that previously contained
Ubuntu.

> It does say that "4 partitions will be deleted" (another bug, it seems
> to include free space gaps in the partition count)

Indeed, thanks. I have a patch for that in my tree now, pending
testing.

> (Also, there are tests for autopartitioning in tests/test_ubi_partman.py
> - if you are familiar with the test code here it might be useful to add
> some test cases to cover the error cases documented in this bug report
> - multiple partitions and/or drives, os-proper potentially returning
> nothing - so that future code changes will not reintroduce these bugs.)

Yes, my changes make those tests fail right now, so I'll have to update
them in any case.

Colin Watson (cjwatson) wrote :

On Tue, Oct 14, 2014 at 10:05:15PM -0000, Erick Brunzell wrote:
> Regarding the 2 drive (perhaps I should say - more than one drive) issue
> the Install alongside option has an existing problem in that regard -
> see bug #1262824.

That's a long-standing issue, and not one we need to track down at the
same time as this. I've marked that as a duplicate of bug 351473, which
is the oldest one I could find and which is in the place this would need
to be fixed first.

Hey @Colin, thanks a ton for looking into this amid all the other billion things you juggle in ubuntu :)
I have an exam coming up so I will be busy till Oct 17, 1800 UTC, but I'll standby from then on to do any last minute testing/ grunt work you need done for this.
Cheerio

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.20.0

---------------
ubiquity (2.20.0) utopic; urgency=medium

  * Exclude free space from counts of deleted partitions.
  * There are far too many situations where we fail to accurately detect all
    the operating systems installed on the disk, and we must defend in depth
    against losing user data as a result of this. This includes not
    misleading users into believing that an option will erase less than it
    in fact does. Therefore, never describe the use_device autopartitioning
    mode in any way other than "Erase disk and install Ubuntu", and offer
    separate "Erase Ubuntu <version> and reinstall" and "Erase disk and
    install Ubuntu" options even if we believe that the disk only contains
    Ubuntu (LP: #1265192).
  * Always show a confirmation dialog before committing partitioning. I've
    read considerably more reports of users having their data destroyed by
    some misunderstanding or other of the partitioner than I'm comfortable
    with; if a slightly ugly confirmation even when we think things are
    clear saves some people from that, then it's worth it, and it adds
    another layer of defence against bugs.
  * Update translations from Launchpad.
 -- Colin Watson <email address hidden> Thu, 16 Oct 2014 01:38:28 +0100

Changed in ubiquity (Ubuntu):
status: In Progress → Fix Released
sudodus (nio-wiklund) wrote :

A big thank you to everybody who contributed to defining and squashing this bug :-)

Bruno Nova (brunonova) wrote :

Don't forget to backport the fix to Trusty before the next point release.

Colin Watson (cjwatson) on 2014-10-29
Changed in ubiquity (Ubuntu Trusty):
milestone: ubuntu-14.04 → ubuntu-14.04.2
assignee: Dimitri John Ledkov (xnox) → Colin Watson (cjwatson)
status: Triaged → In Progress
Colin Watson (cjwatson) on 2014-10-29
description: updated
koen.h (koen.h) wrote :

Hope this fix gets released soon because it just happened to me when I installed 14.10.

Colin Watson (cjwatson) wrote :

On Wed, Oct 29, 2014 at 05:58:31PM -0000, koen.h wrote:
> Hope this fix gets released soon because it just happened to me when I
> installed 14.10.

My fixes were released in 14.10. Please file a new bug carefully
detailing your previous setup and the exact nature of the problems you
encountered, aiming if you can to make it possible for a developer to
replicate the problem, and mention the new bug number here; it's not
feasible for us to keep tracking a series of similar but slightly
different problems in this same bug report.

Changed in elementaryos:
status: Triaged → Fix Released

Hello Steve, or anyone else affected,

Accepted ubiquity into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.18.8.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Bagus Tris (bagustris) wrote :

Today this bug affects me, Trusty 14.04.01 on MBP 9,2 mid 2012
 (Linux ubuntu 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linu

On Sun, Nov 23, 2014 at 11:55:08PM -0000, Bagus Tris wrote:
> Today this bug affects me, Trusty 14.04.01 on MBP 9,2 mid 2012

This is to be expected, as I didn't fix this until after 14.04.1.

description: updated
Bruno Nova (brunonova) wrote :

I've made a few tests with the ubiquity installer in trusty-proposed in Virtualbox (EFI mode not enabled).

* First I installed Windows 8 and left around 30 GB free.
* Then I installed Ubuntu to the free space using the automatic partitioning. All good! Windows was still there.
* Then I reinstalled Ubuntu. All good!
* After reboot, I ran the installer again to see what the "erase entire disk" option would do. The confirmation dialog reported that partitions 1 and 5 would be formatted, as expected (I didn't proceed).
* Then I went back and used manual partitioning to reinstall Ubuntu again. When making the first change, a message informed me that "the changes must be written to disk before continuing". That message is a bit alarming, but the installation worked correctly.
* Then I booted a Kubuntu live session to test the KDE frontend. This frontend didn't offer an option to replace Ubuntu with Kubuntu. It only had options to resize the Windows partition and install there, and to use the whole disk. So I used the manual partitioning. The confirmation dialog was displayed in this frontend too.
ubiquity-frontend-kde is in the "universe" repository, so it's not officially supported by Canonical, but I wanted to test it too.
* Finally, I formatted the Windows partitions with GParted and added a few files to them, then ran the installer to replace Kubuntu with Ubuntu (automatic partitioning). Everything worked as intended.
There was also an option to install Ubuntu alongside Kubuntu (by resizing one of the formatted Windows partitions). I tried it later: the confirmation dialog didn't mention those partitions being formatted. Then, during the installation I mounted those partitions (using "mount") and, as expected, they weren't formatted (I didn't have the time to finish the installation). So it seems to have worked correctly.

The confirmation dialog was always displayed (including after the manual partitioning).

Every time before running the installer, I enabled trusty-proposed and upgraded 3 packages: ubiquity, ubiquity-frontend-gtk, ubiquity-ubuntu-artwork (I wrote these names from memory).
I also wanted to see if ubiquity would detect an hibernated Windows 8 partition, but I couldn't find the option to enable it in Windows 8 (maybe it's not supported inside Virtualbox).

ubiquity 2.18.8.3 seems to be working correctly from these not very extensive tests in Virtualbox.

However, I haven't added the verification-done tag yet.
It would be great if someone else also tested this. Better yet if the tests could be done on a real UEFI testing machine.
But note that, according to https://wiki.ubuntu.com/TrustyTahr/ReleaseSchedule, 14.04.2 will be released on February 5th. The new version of ubiquity should be tested and "approved" before then.

My Windows 8.1 (including recovery partition) got wiped just few moments ago.
Using the 'reinstall' option to replace 12.04 by 14.04.01.

For the love of god, put some warning to the Ubuntu installation guide.

Bruno Nova (brunonova) wrote :

OK, no one else tested the proposed update, so I'm going to mark this as verification-done.

Comment #122 details the tests I have done.
The tests are not extensive, but they will have to suffice: according to the release schedule, 14.04.2 will be released in February 5th (in 1 month), and this fix must be included in that point release!

tags: added: verification-done
removed: verification-needed
sudodus (nio-wiklund) wrote :

I'll see if I can get someone to test it in UEFI mode.

ventrical (dale-f-beaudoin) wrote :

Ok... ventrical on the job now :)

ventrical (dale-f-beaudoin) wrote :

I will be testing Intel machine in UEFI mode using xubuntu 15.04 daily-current. (hard install)

ventrical (dale-f-beaudoin) wrote :

This is a non bug. Installing ubuntu trusty/unity will work in hard UEFI mode on a previously installed windows8 machine. The problem is understanding how gparted works and that it needs confirmations for each operation and that it is not very apparent in GUI. With windows 8 already fully installed , gparted can resize the windows partition. The new 'free space' partion needs to be CONFIRMED after it has been marked for ext4 file format. each step has to be confirmed. It is not immediately clear that the confirmation process takes place by clicking the green checkmark in the upper menu bar. If not clicked on with mouse, not confirmed and system will be borked or not work.

Enabling proposed repos to download new version of ubiquity will cause unstable ubiquity in 'live' mode and is not neccessary to install ubuntu over windows 8 installation.

The 'no other operating systems detected' bug is still there but if one uses gparted correctly it is really a non issue.however it poses a commercial embarrassment for Canonical to not be able to have windows 8 detected automatically without fanagling around with obscure an outdated tools.

regards..

sudodus (nio-wiklund) wrote :

Hi Bruno,

Please have a look at the testing notes by ventrical at the Ubuntu Forums

http://ubuntuforums.org/showthread.php?t=2259055

and ask questions, if want him to explain some part of the results.

sudodus (nio-wiklund) wrote :

Testing in UEFI mode:

Ventrical and I think that the real bug is that windows 8 OS is not being detected (or reported) because GRuB will detect it after ubuntu install. Maybe it is just not being echoed to the screen so somewhere in the code there needs to be port to screen.

ventrical (dale-f-beaudoin) wrote :

I was advised to post this:

"It worked but not in the way Bruno described. The real bug is that windows 8 OS is not being detected (or reported) because GRuB will detect it after ubuntu install. This is simple bug that is non bug .. just not being echoed to the screen so somehwere in the code there needs to be port to screen. The other problem is with the way gparted try to explain it's 'operations pending' reports. They are very hard to see and each and every step has to be confirmed in that particular order - so gparted needs some GUI retrofit so people can better understand it IMO.

so it works good without proposed (trusty current) but the how too help files are lacking. Ubiquity presenter and partitioner has very bad logic problems with UEFI and needs to be looked at but the install process was seamless here. I left some verbage at launchpad and ubuntuforums thread.

regards..

sudodus (nio-wiklund) wrote :

See these links (which are related to this bug)

http://ubuntuforums.org/showthread.php?t=2259055&p=13199638#post13199638

http://ubuntuforums.org/showthread.php?t=2259055&p=13199723#post13199723

I opened a new thread on this. I was successful in detecting Windows bootloader and partioning 'alongside' with xubuntu 15.04. Both OSes are working fine in UEFI mode. The thing is I am not sure what happened .... whether disabling UEFI then shutdown, restart , re-enable had flushed a buffer or if using the F10 option. I think it was a combination of both. Nonetheless... it's the first time Iv'e seen this work with Windows 8 bootloader without irreversible repair work. I'll try to document this a little more comphrehensively after some rest. All you U+1 testers .. thanks for encouragement , input and help.!

-o-

... and helping you find the continued work of ventrical:

http://ubuntuforums.org/showthread.php?t=2259219

Phillip Susi (psusi) wrote :

This has nothing at all to do with gparted and the failure to detect the windows installation is only a contributing cause. The real issue is the *wording* of the option that makes it sound like nothing but the existing Ubuntu install will be deleted when instead, the entire disk is erased.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.8.3

---------------
ubiquity (2.18.8.3) trusty; urgency=medium

  [ Stéphane Graber ]
  * Fix Windows UEFI detection. (LP: #1265192)

  [ Colin Watson ]
  * Exclude free space from counts of deleted partitions.
  * There are far too many situations where we fail to accurately detect all
    the operating systems installed on the disk, and we must defend in depth
    against losing user data as a result of this. This includes not
    misleading users into believing that an option will erase less than it
    in fact does. Therefore, never describe the use_device autopartitioning
    mode in any way other than "Erase disk and install Ubuntu", and offer
    separate "Erase Ubuntu <version> and reinstall" and "Erase disk and
    install Ubuntu" options even if we believe that the disk only contains
    Ubuntu (LP: #1265192).
  * Always show a confirmation dialog before committing partitioning. I've
    read considerably more reports of users having their data destroyed by
    some misunderstanding or other of the partitioner than I'm comfortable
    with; if a slightly ugly confirmation even when we think things are
    clear saves some people from that, then it's worth it, and it adds
    another layer of defence against bugs.
 -- Colin Watson <email address hidden> Wed, 29 Oct 2014 12:54:19 +0000

Changed in ubiquity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubiquity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

nader (waltersar) wrote :

sto caricando ubuntukylin 14.10.posso continuare?

nader (waltersar) wrote :

corrego,sto salvando file,sono in download.

Barry Clearwater (barryc) wrote :

If the fix is committed, when does it get included in the downloadable iso? This bug just wiped an attached hard drive on me with *No* Warning. 1TB of recordings data.

According to the date this was release, it should have been included in the latest point release for Trusty: 14.04.2, downloadable here: http://releases.ubuntu.com/trusty/

If you're using an earlier release, it wouldn't be in.

It's possible you've run into a different issue; please file a separate bug about it (especially if it can be reproduced) so that we can get to it as soon as possible. Thanks!

Barry's problem could be caused by the issues with >1 drive described in #109 - the installer has no concept of multiple drives and will always choose to install on /dev/sda by default, even if the previous Ubuntu install is on another drive.

pemula (faizsynt) wrote :

help me to fix bugs on my ubuntu please. im new user. cant use desktop manager. i've installed this

Download full text (3.6 KiB)

Hi Permula,

I think you are in the wrong place. Try these:

http://www.ubuntu.com/support (also try phrase your "can't use desktop
manager" more clearly there) and
https://help.ubuntu.com/ (documentation)

Regards,
Jan

On 7 April 2015 at 17:55, pemula <email address hidden> wrote:

> help me to fix bugs on my ubuntu please. im new user. cant use desktop
> manager. i've installed this
>
> --
> You received this bug notification because you are a member of AIMS,
> which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/1265192
>
> Title:
> Install/reinstall wipes out all/other partitions
>
> Status in elementary OS:
> Fix Released
> Status in ubiquity package in Ubuntu:
> Fix Released
> Status in ubiquity source package in Trusty:
> Fix Released
>
> Bug description:
> [Impact]
>
> Serious data loss due to misleading UI in a variety of cases where the
> installer fails to accurately assess or describe the current
> partitioning layout. This set of proposed changes fix the problem
> both narrowly (by fixing a specific detection failure) and broadly (by
> being more consistent and conservative about how automatic
> partitioning methods are described, and by always displaying a
> confirmation dialog; "are you sure?" dialogs are generally dubious,
> but in this case it supplies more specific information which is a
> justifiable last resort for an operation as potentially destructive as
> partitioning). I have taken care to ensure that it has no impact on
> translations.
>
> [Test Case]
>
> Validating this ideally requires exploratory testing, but simple tests
> include setting up partitioning layouts that include deliberately-
> unrecognisable partitions and making sure that the installation
> process only removes those in response to options that explicitly
> state that they will erase the disk rather than merely erasing a
> single OS, and that a confirmation dialog is always displayed.
>
> [Regression Potential]
>
> This involves partitioning logic, so be careful. I've tried to keep
> the changes as isolated as possible to the automatic partitioning
> page, although the confirmation dialog change also affects the manual
> partitioner. It's worth checking that back/forward paths still work
> correctly, as this took me several goes to get right.
>
> Original report follows:
>
> Brand new Samsung laptop with UEFI. I had installed 13.04 Ubuntu but on
> reboot I never saw the 'grub' style menu. It just kept going into Windows
> 8.1. So I got the 13.10 version (64 bit) and choose "Reinstall Ubuntu"
> (That may not be the exact text)
> It removed all the partiions including the recovery partitions. I do
> have a backup for the windows install, but I was very surprised that this
> happened.
> On a positive note I now have Ububtu up and running on my machine.
> This is not my first time with Ubuntu. I have installed Ubuntu alongside
> WinXp, Vista and Windows 7. I've used Ubuntu desktop for over 6 years.
> If you would like me to try something to replicate this. .. I could
> shrink my existing partion make another one - reinstall and see if it
> whacks that one. I...

Read more...

Cody Garver (codygarver) on 2015-09-15
no longer affects: elementaryos
Grant Mercer (gmercer015) wrote :

Just lost ALL of my windows data because of this . What a completely awful installer to offer such a misleading option. By erase ubuntu, I expected it to erase UBUNTU, not my hard drive. Cannot express how much I lost because of this installer

SamWanPaul (wanpaul964) on 2015-12-15
affects: ubiquity (Ubuntu Trusty) → clean-ubiquity (Ubuntu Trusty)
affects: clean-ubiquity (Ubuntu) → ubiquity (Ubuntu)
Changed in ubiquity (Ubuntu):
milestone: ubuntu-14.10 → none

failed to start Ubuntu failed to start due to following:
http:\\ubuntu\winboot\wubild.mbr is missing

please help ,,,,,,,thanks.

Paul (goossens-paul) on 2016-01-23
affects: ubiquity (Ubuntu Trusty) → clean-ubiquity-ubuntu (Ubuntu Trusty)
Colin Watson (cjwatson) on 2016-01-23
affects: clean-ubiquity-ubuntu (Ubuntu) → ubiquity (Ubuntu)
marcatq (marc-qcontinuum) wrote :

It appears that Windows update may have spread this problem. I'm trying to do a dual boot install, and the install utility for 14.04.3 can't detect my existing OS (Windows 7). From what I understand, the windows update will put windows 8.1 and windows 10 files onto computers that haven't updated to windows 10. I may try 15.10.

@marcatq - does running `os-prober` in a terminal show any other operating systems installed? If you run `journalctl -f` in another terminal you'll see the debug output from os-prober - it should test each partition in turn using a different script for each possible OS - /usr/lib/os-probes/mounted/20microsoft should detect an install of Windows.

Changed in ubiquity (Ubuntu):
assignee: Colin Watson (cjwatson) → valentino (ciobanuvalentino6)
Colin Watson (cjwatson) on 2016-03-27
Changed in ubiquity (Ubuntu):
assignee: valentino (ciobanuvalentino6) → Colin Watson (cjwatson)
affects: ubiquity → ubuntu-translations
no longer affects: ubuntu-translations
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers